Python
from kombo import Kombo
with Kombo(
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.general.get_tools(category="ats")
# Handle response
print(res)import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.general.getTools({
category: "ats",
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.general.get_tools(category: Models::Shared::GetToolsCategoryParameterCategory::ATS)
unless res.get_tools_category_positive_response.nil?
# handle response
endcurl --request GET \
--url https://api.kombo.dev/v1/tools/{category} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kombo.dev/v1/tools/{category}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/tools/{category}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/tools/{category}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/tools/{category}")
.header("Authorization", "Bearer <token>")
.asString();{
"status": "success",
"data": {
"tools": [
{
"id": "factorial",
"label": "Factorial",
"internal_label": null,
"assets": {
"logo_url": "https://storage.googleapis.com/kombo-assets/integrations/factorial/logo.svg",
"icon_url": "https://storage.googleapis.com/kombo-assets/integrations/factorial/icon.svg",
"icon_black_url": "https://storage.googleapis.com/kombo-assets/integrations/factorial/icon-black.svg"
},
"paid_api_details_markdown": null,
"fast_track_details_markdown": null,
"partner_only_details_markdown": null,
"connection_guide_url": "https://help.kombo.dev/hc/en-us/articles/18743884123409-Factorial-HR-How-do-I-link-my-account",
"coverage": {
"read_models": [
{
"id": "hris_employees",
"label": "Employees",
"coverage_status": "SUPPORTED",
"fields": [
{
"id": "date_of_birth",
"coverage_status": "SUPPORTED"
}
]
},
{
"id": "hris_teams",
"label": "Groups",
"coverage_status": "UNSUPPORTED",
"fields": [
{
"id": "parent_id",
"coverage_status": "UNSUPPORTED"
}
]
}
],
"write_actions": [
{
"id": "hris_create_employee",
"label": "Create employee",
"coverage_status": "SUPPORTED",
"fields": [
{
"id": "first_name",
"coverage_status": "SUPPORTED"
}
]
}
],
"features": [
{
"id": "automatic_source_writing",
"label": "Automatic Source Writing",
"coverage_status": "SUPPORTED"
}
]
}
}
]
}
}Kombo Connect
Get tools
Get a list of the tools (i.e., integrations) enabled in your environment.
GET
/
tools
/
{category}
Python
from kombo import Kombo
with Kombo(
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.general.get_tools(category="ats")
# Handle response
print(res)import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.general.getTools({
category: "ats",
});
console.log(result);
}
run();require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.general.get_tools(category: Models::Shared::GetToolsCategoryParameterCategory::ATS)
unless res.get_tools_category_positive_response.nil?
# handle response
endThis can (in combination with the
integration_tool parameter of the “Create Link” endpoint) be used to, for example, display a custom list or grid of available integrations to your end users instead of exposing Kombo Connect’s standard tool selector.Authorizations
Path Parameters
GET /tools/:category Parameter
Available options:
hris, ats, assessment, lms Response
GET /tools/:category Positive response
Allowed value:
"success"Show child attributes
Show child attributes
Example:
{
"tools": [
{
"id": "factorial",
"label": "Factorial",
"internal_label": null,
"assets": {
"logo_url": "https://storage.googleapis.com/kombo-assets/integrations/factorial/logo.svg",
"icon_url": "https://storage.googleapis.com/kombo-assets/integrations/factorial/icon.svg",
"icon_black_url": "https://storage.googleapis.com/kombo-assets/integrations/factorial/icon-black.svg"
},
"paid_api_details_markdown": null,
"fast_track_details_markdown": null,
"partner_only_details_markdown": null,
"connection_guide_url": "https://help.kombo.dev/hc/en-us/articles/18743884123409-Factorial-HR-How-do-I-link-my-account",
"coverage": {
"read_models": [
{
"id": "hris_employees",
"label": "Employees",
"coverage_status": "SUPPORTED",
"fields": [
{
"id": "date_of_birth",
"coverage_status": "SUPPORTED"
}
]
},
{
"id": "hris_teams",
"label": "Groups",
"coverage_status": "UNSUPPORTED",
"fields": [
{
"id": "parent_id",
"coverage_status": "UNSUPPORTED"
}
]
}
],
"write_actions": [
{
"id": "hris_create_employee",
"label": "Create employee",
"coverage_status": "SUPPORTED",
"fields": [
{
"id": "first_name",
"coverage_status": "SUPPORTED"
}
]
}
],
"features": [
{
"id": "automatic_source_writing",
"label": "Automatic Source Writing",
"coverage_status": "SUPPORTED"
}
]
}
}
]
}
Was this page helpful?
⌘I